import OperaterApnBanner from "@/components/rendering/operaterApnBanner";
import OperaterApnDetail from "@/components/rendering/operaterApnDetail";
import { fetchOperatorData } from "@/utils/api/operator";
import Head from "next/head";
import { parseCookies } from "nookies";

export default function operatorAPNPage({ response }: any) {
  return (
    <>
      <Head>
        <title>WaoSim | operator</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <OperaterApnBanner />
        <OperaterApnDetail data={response} />
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req, query } = context;
  const cookies = parseCookies({ req });
  const { isError, response } = await fetchOperatorData({
    token: cookies?.waotoken,
  });

  return {
    props: {
      response: response?.data ?? null,
    },
  };
}
